Part Prism/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/fr
{{GuiCommand/fr
|Name=Part Prism
|Name=Part Prism
Line 18: Line 19:
|SeeAlso=[[Part_Primitives/fr|Part Primitives]], [[Part_Box/fr|Part Cube]]
|SeeAlso=[[Part_Primitives/fr|Part Primitives]], [[Part_Box/fr|Part Cube]]
}}
}}
</div>


== Description ==
== Description ==


<div class="mw-translate-fuzzy">
Un prisme dans Part est un solide délimité par une section transversale polygonale régulière et une hauteur.
Un prisme dans Part est un solide délimité par une section transversale polygonale régulière et une hauteur.
</div>


[[Image:Part_Prism_Example.png|400px]]
==Utilisation==


<div class="mw-translate-fuzzy">
# Allez dans l'{{Button|[[Image:Workbench_Part.svg|16px]] [[Part_Workbench/fr|atelier Part]]}}.
==Utilisation==
# Appuyez sur le bouton {{Button|[[Image:Part_Primitives.svg|24px]] [[Part_Primitives/fr|Création de primitives géométriques...]]}} ou utilisez le {{MenuCommand|Pièce → [[Part_Primitives/fr|Créer des primitives...]] → Prisme}} dans le menu supérieur.
</div>
# Sélectionnez '''Prisme''' dans la boite de dialogue et définissez les paramètres.


See [[Part_Primitives#Usage|Part Primitives]].
Les propriétés du prisme peuvent être éditées ultérieurement, soit dans l'[[Property_editor/fr|Éditeur de propriétés]], soit en double-cliquant sur le prisme dans la [[Tree_view/fr|Vue par arborescence]].

== Example ==

[[Image:Part_Prism_Scripting_Example.png|thumb|Part Prism from the scripting example]]

A Part Prism object created with the [[#Scripting|scripting example]] below is shown here.


== Propriétés ==
== Propriétés ==


See also: [[Property_editor|Property editor]].

A Part Prism object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Prism}}

<div class="mw-translate-fuzzy">
* {{PropertyData|Polygon :}} Le nombre d'arrêtes du polygone qui forme la base et le plan supérieur du prisme.
* {{PropertyData|Polygon :}} Le nombre d'arrêtes du polygone qui forme la base et le plan supérieur du prisme.
* {{PropertyData|Circumradius :}} La distance entre le centre du polygone et les arrêtes du prisme.
* {{PropertyData|Circumradius :}} La distance entre le centre du polygone et les arrêtes du prisme.
Line 38: Line 61:
* {{PropertyData|First Angle}} : Angle dans la première direction. {{Version|0.19}}
* {{PropertyData|First Angle}} : Angle dans la première direction. {{Version|0.19}}
* {{PropertyData|Second Angle}} : Angle dans la seconde direction. {{Version|0.19}}
* {{PropertyData|Second Angle}} : Angle dans la seconde direction. {{Version|0.19}}
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Prism can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
}}

* Where {{Incode|"myPrism"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()
}}




Line 49: Line 104:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:10, 3 March 2022

Part Prisme

Emplacement du menu
Pièce → Créer des primitives... → Prisme
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
0.14
Voir aussi
Part Primitives, Part Cube

Description

Un prisme dans Part est un solide délimité par une section transversale polygonale régulière et une hauteur.

Utilisation

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Propriétés

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DonnéesPolygon : Le nombre d'arrêtes du polygone qui forme la base et le plan supérieur du prisme.
  • DonnéesCircumradius : La distance entre le centre du polygone et les arrêtes du prisme.
  • DonnéesHeight : La hauteur est la distance sur l'axe z.
  • DonnéesFirst Angle : Angle dans la première direction. introduced in version 0.19
  • DonnéesSecond Angle : Angle dans la seconde direction. introduced in version 0.19

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()